module.exports = {
  type: 'react-app',

  babel: {
    loose: false,
    presets: [
      'babel-preset-env',
    ],
    plugins: [
      'babel-plugin-transform-class-properties',
    ],
  },

  webpack: {
    aliases: {
      'moment-timezone': 'moment-timezone/builds/moment-timezone-with-data-2012-2022.js',
    },

    autoprefixer: '> 1%, last 2 versions, Firefox ESR, ios >= 8',

    extra: {
      resolve: {
        extensions: [
          '.jsx',
        ],
      },
    },

    publicPath: '',

    rules: {
      babel: {
        test: /\.jsx?/,
      },
      'sass-css': {
        modules: true,
        localIdentName: '[name]__[local]__[hash:base64:5]',
      },
    },
  },
};

// @HACK - workaround for https://github.com/webpack/webpack/issues/1866

function batchresolve(arr) {
  return arr.map(require.resolve);
}

module.exports.babel.presets = batchresolve(module.exports.babel.presets);
module.exports.babel.plugins = batchresolve(module.exports.babel.plugins);

